Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFSFileEngine

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QAbstractFileEngine
                  com.trolltech.qt.core.QFSFileEngine

All Implemented Interfaces:
  QtJambiInterface

    public class QFSFileEngine

extends QAbstractFileEngine

The `QFSFileEngine` class implements Qt's default file engine.

This class is part of the file engine framework in Qt. If you only want to access files or directories, use `QFile`, `QFileInfo` or `QDir` instead.

`QFSFileEngine` is the default file engine for accessing regular files. It is provided for convenience; by subclassing this class, you can alter its behavior slightly, without having to write a complete `QAbstractFileEngine` subclass. To install your custom file engine, you must also subclass `QAbstractFileEngineHandler` and create an instance of your handler.

It can also be useful to create a `QFSFileEngine` object directly if you need to use the local file system inside QAbstractFileEngine::create(), in order to avoid recursion (as higher-level classes tend to call QAbstractFileEngine::create()).

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QAbstractFileEngine
`QAbstractFileEngine.Extension, QAbstractFileEngine.FileFlag, QAbstractFileEngine.FileFlags, QAbstractFileEngine.FileName, QAbstractFileEngine.FileOwner, QAbstractFileEngine.FileTime`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QFSFileEngine()` Constructs a `QFSFileEngine`.
`QFSFileEngine(java.lang.String file)` Constructs a `QFSFileEngine` for the file name `file`.

Method Summary
`QAbstractFileEngineIterator` | `beginEntryList(QDir.Filters filters, java.util.List<java.lang.String> filterNames)` Returns an instance of a `QAbstractFileEngineIterator` using `filters` for entry filtering and `filterNames` for name filtering.
`boolean` | `caseSensitive()` This function is reimplemented for internal reasons.
`boolean` | `close()` This function is reimplemented for internal reasons.
`boolean` | `copy(java.lang.String newName)` This function is reimplemented for internal reasons.
`static java.lang.String` | `currentPath()` Equivalent to `currentPath`(QString()).
`static java.lang.String` | `currentPath(java.lang.String path)` Returns the canonicalized form of the current path used by the file engine for the drive specified by `path`.
`static java.util.List<QFileInfo>` | `drives()` Returns the list of drives in the file system as a list of `QFileInfo` objects.
`QAbstractFileEngineIterator` | `endEntryList()` This function is reimplemented for internal reasons.
`java.util.List<java.lang.String>` | `entryList(QDir.Filters filters, java.util.List<java.lang.String> filterNames)` Requests that a list of all the files matching the `filters` list based on the `filterNames` in the file engine's directory are returned.
`QAbstractFileEngine.FileFlags` | `fileFlags(QAbstractFileEngine.FileFlags type)` This function should return the set of OR'd flags that are true for the file engine's file, and that are in the `type`'s OR'd members.
`java.lang.String` | `fileName(QAbstractFileEngine.FileName file)` Return the file engine's current file name in the format specified by `file`.
`QDateTime` | `fileTime(QAbstractFileEngine.FileTime time)` If `time` is `CreationTime`, return when the file was created.
`boolean` | `flush()` This function is reimplemented for internal reasons.
`static QFSFileEngine` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QFSFileEngine instance pointed to by nativePointer
`int` | `handle()` This function is reimplemented for internal reasons.
`static java.lang.String` | `homePath()` Returns the home path of the current user.
`boolean` | `isRelativePath()` This function is reimplemented for internal reasons.
`boolean` | `isSequential()` This function is reimplemented for internal reasons.
`boolean` | `link(java.lang.String newName)` This function is reimplemented for internal reasons.
`boolean` | `mkdir(java.lang.String dirName, boolean createParentDirectories)` This function is reimplemented for internal reasons.
`boolean` | `open(QIODevice.OpenMode openMode)` This function is reimplemented for internal reasons.
`boolean` | `open(QIODevice.OpenMode flags, int fd)` Opens the file descriptor `fd` in `flags` mode.
`java.lang.String` | `owner(QAbstractFileEngine.FileOwner arg__1)` If `arg__1` is `OwnerUser` return the name of the user who owns the file.
`int` | `ownerId(QAbstractFileEngine.FileOwner arg__1)` If `arg__1` is `OwnerUser` return the ID of the user who owns the file.
`long` | `pos()` This function is reimplemented for internal reasons.
`long` | `read(QNativePointer data, long maxlen)` Reads a number of characters from the file into `data`.
`long` | `readLine(QNativePointer data, long maxlen)` This function reads one line, terminated by a '\n' character, from the file info `data`.
`boolean` | `remove()` This function is reimplemented for internal reasons.
`boolean` | `rename(java.lang.String newName)` This function is reimplemented for internal reasons.
`boolean` | `rmdir(java.lang.String dirName, boolean recurseParentDirectories)` This function is reimplemented for internal reasons.
`static java.lang.String` | `rootPath()` Returns the root path.
`boolean` | `seek(long arg__1)` Sets the file position to the given `arg__1`.
`static boolean` | `setCurrentPath(java.lang.String path)` Sets the current path (e.g., for `QDir`), to `path`.
`void` | `setFileName(java.lang.String file)` This function is reimplemented for internal reasons.
`boolean` | `setPermissions(int perms)` Requests that the file's permissions be set to `perms`.
`boolean` | `setSize(long size)` Requests that the file be set to size `size`.
`long` | `size()` This function is reimplemented for internal reasons.
`boolean` | `supportsExtension(QAbstractFileEngine.Extension extension)` This virtual function returns true if the file engine supports `extension`; otherwise, false is returned.
`static java.lang.String` | `tempPath()` Returns the temporary path (i.e., a path in which it is safe to store temporary files).
`long` | `write(QNativePointer data, long len)` Writes `len` bytes from `data` to the file.

Methods inherited from class com.trolltech.qt.core.QAbstractFileEngine
`atEnd, create, error, errorString, fileFlags, fileFlags, fileName, open, setError`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QFSFileEngine

    public QFSFileEngine()

  Constructs a `QFSFileEngine`.

### QFSFileEngine

    public QFSFileEngine(java.lang.String file)

  Constructs a `QFSFileEngine` for the file name `file`.

Method Detail

### beginEntryList

    public final QAbstractFileEngineIterator beginEntryList(QDir.Filters filters,
                                                            java.util.List<java.lang.String> filterNames)

  Returns an instance of a `QAbstractFileEngineIterator` using `filters` for entry filtering and `filterNames` for name filtering. This function is called by `QDirIterator` to initiate directory iteration.

  `QDirIterator` takes ownership of the returned instance, and deletes it when it's done.

  See Also:
    `QDirIterator`

### endEntryList

    public final QAbstractFileEngineIterator endEntryList()

  This function is reimplemented for internal reasons.

### open

    public final boolean open(QIODevice.OpenMode flags,
                              int fd)

  Opens the file descriptor `fd` in `flags` mode. Returns true on success; otherwise returns false.

### caseSensitive

    public boolean caseSensitive()

  This function is reimplemented for internal reasons.

  Overrides:
    `caseSensitive` in class `QAbstractFileEngine`

### close

    public boolean close()

  This function is reimplemented for internal reasons.

  Overrides:
    `close` in class `QAbstractFileEngine`

### copy

    public boolean copy(java.lang.String newName)

  This function is reimplemented for internal reasons.

  Overrides:
    `copy` in class `QAbstractFileEngine`

### entryList

    public java.util.List<java.lang.String> entryList(QDir.Filters filters,
                                                      java.util.List<java.lang.String> filterNames)

  Requests that a list of all the files matching the `filters` list based on the `filterNames` in the file engine's directory are returned.

  Should return an empty list if the file engine refers to a file rather than a directory, or if the directory is unreadable or does not exist or if nothing matches the specifications.

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `entryList` in class `QAbstractFileEngine`
  See Also:
    `setFileName`

### fileFlags

    public QAbstractFileEngine.FileFlags fileFlags(QAbstractFileEngine.FileFlags type)

  This function should return the set of OR'd flags that are true for the file engine's file, and that are in the `type`'s OR'd members.

  In your reimplementation you can use the `type` argument as an optimization hint and only return the OR'd set of members that are true and that match those in `type`; in other words you can ignore any members not mentioned in `type`, thus avoiding some potentially expensive lookups or system calls.

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `fileFlags` in class `QAbstractFileEngine`
  See Also:
    `setFileName`

### fileName

    public java.lang.String fileName(QAbstractFileEngine.FileName file)

  Return the file engine's current file name in the format specified by `file`.

  If you don't handle some `FileName` possibilities, return the file name set in `setFileName` when an unhandled format is requested.

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `fileName` in class `QAbstractFileEngine`
  See Also:
    `setFileName`, `FileName`

### fileTime

    public QDateTime fileTime(QAbstractFileEngine.FileTime time)

  If `time` is `CreationTime`, return when the file was created. If `time` is `ModificationTime`, return when the file was most recently modified. If `time` is `AccessTime`, return when the file was most recently accessed (e.g. read or written). If the time cannot be determined return QDateTime() (an invalid date time).

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `fileTime` in class `QAbstractFileEngine`
  See Also:
    `setFileName`, `QDateTime`, `QDateTime::isValid`, `FileTime`

### flush

    public boolean flush()

  This function is reimplemented for internal reasons.

  Overrides:
    `flush` in class `QAbstractFileEngine`

### handle

    public int handle()

  This function is reimplemented for internal reasons.

  Overrides:
    `handle` in class `QAbstractFileEngine`

### isRelativePath

    public boolean isRelativePath()

  This function is reimplemented for internal reasons.

  Overrides:
    `isRelativePath` in class `QAbstractFileEngine`
  See Also:
    `setFileName`

### isSequential

    public boolean isSequential()

  This function is reimplemented for internal reasons.

  Overrides:
    `isSequential` in class `QAbstractFileEngine`

### link

    public boolean link(java.lang.String newName)

  This function is reimplemented for internal reasons.

  Overrides:
    `link` in class `QAbstractFileEngine`

### mkdir

    public boolean mkdir(java.lang.String dirName,
                         boolean createParentDirectories)

  This function is reimplemented for internal reasons.

  Overrides:
    `mkdir` in class `QAbstractFileEngine`
  See Also:
    `setFileName`, `rmdir`, `isRelativePath`

### open

    public boolean open(QIODevice.OpenMode openMode)

  This function is reimplemented for internal reasons.

  Overrides:
    `open` in class `QAbstractFileEngine`

### owner

    public java.lang.String owner(QAbstractFileEngine.FileOwner arg__1)

  If `arg__1` is `OwnerUser` return the name of the user who owns the file. If `arg__1` is `OwnerGroup` return the name of the group that own the file. If you can't determine the owner return `QString`.

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `owner` in class `QAbstractFileEngine`
  See Also:
    `ownerId`, `setFileName`, `FileOwner`

### ownerId

    public int ownerId(QAbstractFileEngine.FileOwner arg__1)

  If `arg__1` is `OwnerUser` return the ID of the user who owns the file. If `arg__1` is `OwnerGroup` return the ID of the group that own the file. If you can't determine the owner return -2.

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `ownerId` in class `QAbstractFileEngine`
  See Also:
    `owner`, `setFileName`, `FileOwner`

### pos

    public long pos()

  This function is reimplemented for internal reasons.

  Overrides:
    `pos` in class `QAbstractFileEngine`

### read

    public long read(QNativePointer data,
                     long maxlen)

  Reads a number of characters from the file into `data`. At most `maxlen` characters will be read.

  Returns -1 if a fatal error occurs, or 0 if there are no bytes to read.

  Overrides:
    `read` in class `QAbstractFileEngine`

### readLine

    public long readLine(QNativePointer data,
                         long maxlen)

  This function reads one line, terminated by a '\n' character, from the file info `data`. At most `maxlen` characters will be read. The end-of-line character is included.

  Overrides:
    `readLine` in class `QAbstractFileEngine`

### remove

    public boolean remove()

  This function is reimplemented for internal reasons.

  Overrides:
    `remove` in class `QAbstractFileEngine`
  See Also:
    `setFileName`, `rmdir`

### rename

    public boolean rename(java.lang.String newName)

  This function is reimplemented for internal reasons.

  Overrides:
    `rename` in class `QAbstractFileEngine`
  See Also:
    `setFileName`

### rmdir

    public boolean rmdir(java.lang.String dirName,
                         boolean recurseParentDirectories)

  This function is reimplemented for internal reasons.

  Overrides:
    `rmdir` in class `QAbstractFileEngine`
  See Also:
    `setFileName`, `remove`, `mkdir`, `isRelativePath`

### seek

    public boolean seek(long arg__1)

  Sets the file position to the given `arg__1`. Returns true if the position was successfully set; otherwise returns false.

  The offset is from the beginning of the file, unless the file is sequential.

  Overrides:
    `seek` in class `QAbstractFileEngine`
  See Also:
    `isSequential`

### setFileName

    public void setFileName(java.lang.String file)

  This function is reimplemented for internal reasons.

  Overrides:
    `setFileName` in class `QAbstractFileEngine`
  See Also:
    `fileName`

### setPermissions

    public boolean setPermissions(int perms)

  Requests that the file's permissions be set to `perms`. The argument perms will be set to the OR-ed together combination of QAbstractFileEngine::FileInfo, with only the QAbstractFileEngine::PermsMask being honored. If the operations succceeds return true; otherwise return false;

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `setPermissions` in class `QAbstractFileEngine`
  See Also:
    `size`

### setSize

    public boolean setSize(long size)

  Requests that the file be set to size `size`. If `size` is larger than the current file then it is filled with 0's, if smaller it is simply truncated. If the operations succceeds return true; otherwise return false;

  This virtual function must be reimplemented by all subclasses.

  Overrides:
    `setSize` in class `QAbstractFileEngine`
  See Also:
    `size`

### size

    public long size()

  This function is reimplemented for internal reasons.

  Overrides:
    `size` in class `QAbstractFileEngine`
  See Also:
    `setSize`

### supportsExtension

    public boolean supportsExtension(QAbstractFileEngine.Extension extension)

  This virtual function returns true if the file engine supports `extension`; otherwise, false is returned. By default, no extensions are supported.

  Overrides:
    `supportsExtension` in class `QAbstractFileEngine`
  See Also:
    `extension`

### write

    public long write(QNativePointer data,
                      long len)

  Writes `len` bytes from `data` to the file. Returns the number of characters written on success; otherwise returns -1.

  Overrides:
    `write` in class `QAbstractFileEngine`

### currentPath

    public static java.lang.String currentPath()

  Equivalent to `currentPath`(QString()).

### currentPath

    public static java.lang.String currentPath(java.lang.String path)

  Returns the canonicalized form of the current path used by the file engine for the drive specified by `path`.

  On Windows, each drive has its own current directory, so a different path is returned for file names that include different drive names (e.g. A: or C:).

  See Also:
    `setCurrentPath`

### drives

    public static java.util.List<QFileInfo> drives()

  Returns the list of drives in the file system as a list of `QFileInfo` objects. On unix and Mac OS X, only the root path is returned. On Windows, this function returns all drives (A:, C:, D:, etc.).

### homePath

    public static java.lang.String homePath()

  Returns the home path of the current user.

  See Also:
    `rootPath`

### rootPath

    public static java.lang.String rootPath()

  Returns the root path.

  See Also:
    `homePath`

### setCurrentPath

    public static boolean setCurrentPath(java.lang.String path)

  Sets the current path (e.g., for `QDir`), to `path`. Returns true if the new path exists; otherwise this function does nothing, and returns false.

  See Also:
    `currentPath`

### tempPath

    public static java.lang.String tempPath()

  Returns the temporary path (i.e., a path in which it is safe to store temporary files).

### fromNativePointer

    public static QFSFileEngine fromNativePointer(QNativePointer nativePointer)

  This function returns the QFSFileEngine instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD